commit:     6ebea96fcc2963ef12292a2375340bfe866bb507
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 23:53:48 2016 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 23:53:48 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ebea96f

app-text/libwpd: Version bump

Package-Manager: portage-2.2.26

 app-text/libwpd/Manifest             |  1 +
 app-text/libwpd/libwpd-0.10.1.ebuild | 55 ++++++++++++++++++++++++++++++++++++
 2 files changed, 56 insertions(+)

diff --git a/app-text/libwpd/Manifest b/app-text/libwpd/Manifest
index 22cd751..19a5369 100644
--- a/app-text/libwpd/Manifest
+++ b/app-text/libwpd/Manifest
@@ -1,2 +1,3 @@
 DIST libwpd-0.10.0.tar.xz 506220 SHA256 
9d8ba780cb9c0aed7859c59a602138d8ab360b40f6aa655e42f5f769f2cfd32c SHA512 
1d1962edd133b72ef835e1c7cf8d856cb959b231811009da14a272f20dc6ad3f9df02424791d26012bf130db05e22fa7862af355ecbaf3be30d9948aa719eba2
 WHIRLPOOL 
867049ca6128c9182a5df7d39189392618a1d2aae5631e518b6b5a33d6f2b08ddf2ad7b9d5fee8c8bef0edc6a6dae0cb0552475a73bf84db3a9ddeb19ae07449
+DIST libwpd-0.10.1.tar.xz 524004 SHA256 
09d3410bc770f9d9eedc8544b5c211771ea3322de3fee19b58ad7d40fb2984f6 SHA512 
976694b5e02fd9eb0b3769d5071e9ae88505f491d8fa34473e5b99cd350060a85ddfad9b3c38e9b37a280e695e4571d353fd69fe7b69a627097587912b58ad2c
 WHIRLPOOL 
c6c1124a7124edda4dad6788794c46067ad21c8fde0765ff1b1ca6305c08139e86ac0667d6fd6ca53e4bed41ad0b7aa6b4803fad5f7f72c529cf0c3b22bc7b43
 DIST libwpd-0.9.9.tar.xz 541608 SHA256 
b91df4ca0ef0f456be9531c9ee07cf6a5e50a16b52002abb99e8ebef13fac2b2 SHA512 
a71b4990670446270518e1318066e714c02c4a0752fba0be03037ea7bd434c5dd0219d61687448faabf7e31bc40e4e4a9d4b67d01fd362dae96322db513d79ac
 WHIRLPOOL 
c51155a0a88047abe856d0a83b05721b1629c4e5c24e68de65905ce8c735fd0144290c2739971d0118dfcf24eff47aea0f6b8b260c7eaa9af2a36cf8325d3c0a

diff --git a/app-text/libwpd/libwpd-0.10.1.ebuild 
b/app-text/libwpd/libwpd-0.10.1.ebuild
new file mode 100644
index 0000000..2a49ff1
--- /dev/null
+++ b/app-text/libwpd/libwpd-0.10.1.ebuild
@@ -0,0 +1,55 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit alternatives eutils
+
+DESCRIPTION="WordPerfect Document import/export library"
+HOMEPAGE="http://libwpd.sf.net";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="|| ( LGPL-2.1 MPL-2.0 )"
+SLOT="0.10"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~mips ~x86 ~x86-fbsd"
+IUSE="doc +tools"
+
+COMMON_DEPEND="dev-libs/librevenge"
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       doc? ( app-doc/doxygen )
+"
+RDEPEND="${COMMON_DEPEND}
+       !<app-text/libwpd-0.8.14-r1"
+
+src_configure() {
+       econf \
+               --disable-static \
+               --disable-werror \
+               $(use_with doc docs) \
+               $(use_enable tools) \
+               --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+               --program-suffix=-${SLOT}
+}
+
+src_install() {
+       default
+       prune_libtool_files --all
+}
+
+pkg_postinst() {
+       if use tools; then
+               alternatives_auto_makesym /usr/bin/wpd2html 
"/usr/bin/wpd2html-[0-9].[0-9][0-9]"
+               alternatives_auto_makesym /usr/bin/wpd2raw 
"/usr/bin/wpd2raw-[0-9].[0-9][0-9]"
+               alternatives_auto_makesym /usr/bin/wpd2text 
"/usr/bin/wpd2text-[0-9].[0-9][0-9]"
+       fi
+}
+
+pkg_postrm() {
+       if use tools; then
+               alternatives_auto_makesym /usr/bin/wpd2html 
"/usr/bin/wpd2html-[0-9].[0-9][0-9]"
+               alternatives_auto_makesym /usr/bin/wpd2raw 
"/usr/bin/wpd2raw-[0-9].[0-9][0-9]"
+               alternatives_auto_makesym /usr/bin/wpd2text 
"/usr/bin/wpd2text-[0-9].[0-9][0-9]"
+       fi
+}

Reply via email to